Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

wlc 2504 7.4.100 to 7.4.110 upgrade fails

Hello,

I've got a strange behaviour while upgrading my 2504 wlc from 7.4.100 to 7.4.110. I used the gui procedure to transfer the updated aes file to the wlc. The procedure started fine, finished downloading, and then the wlc got completely stuck on "Writing New RTOS to flash" message, all ap loosed connection all clients down, claimings, etc... Then after more than 10 minutes watching my laptop screen I decided to hard reboot the wlc.

Initially I saw the new image booting but, at the end, I finally figured out that the backup image instead booted and the show boot from the controller shows the following:

(Cisco Controller) >show boot

Primary Boot Image............................... 7.4.110.0 (default)

Backup Boot Image................................ 7.4.100.0 (active)

The controller now is working fine with the old image, but I need the upgrade.

What do I have to do now ? I didn't understand what happened.

Thank you for your help

bye

25 REPLIES
Hall of Fame Super Gold

wlc 2504 7.4.100 to 7.4.110 upgrade fails

I think you need to re-upload the 7.4.110.0.  The code upload takes about 15 minutes.

Did you upgrade the FUS?

New Member

Re: wlc 2504 7.4.100 to 7.4.110 upgrade fails

Thank you Leo. I'll give it a try on monday.

But why did the controller stop working while uploading? I did not foresee that !

Sent from Cisco Technical Support iPad App

Hall of Fame Super Silver

Re: wlc 2504 7.4.100 to 7.4.110 upgrade fails

That is not normal. One of the ways to determine if the WLC is hung if the GUI is not responsive is to console into the WLC. You could of checked from the console if everything went well or not. Like Leo mentioned, even though it does show as it was uploaded, I would upload the image again. Make sure you check the MD5 also which is important.

Sent from Cisco Technical Support iPhone App

-Scott
*** Please rate helpful posts ***
Hall of Fame Super Gold

wlc 2504 7.4.100 to 7.4.110 upgrade fails

Before you do any upload of the firmware, do a continuous ping.  Otherwise, it's fine.

Another thing of verifying if your controller's firmware upgrade is still ongoing is to do a SSH/Telnet. 

New Member

Hey g.volpe,

Hey g.volpe,

I encountered a similar problem when upgrading from 8.0.102.0 to 8.3.102.0 on 2504. The newer image uploads fine and then loads too but eventually the older 8.0.102.0 loads. I have no idea what is wrong but my FUS shows exactly 16.0 so i have no clue about that either.

How did you solve your problem? i know it is an old thread but Id really like to know because im currently stuck in it.

Hall of Fame Super Silver

You need to check the MD5 has

You need to check the MD5 has after you download the image to verify its not corrupted.  That is usually that cause of the code not loading or when there is an error updating flash. The FUS is a separate upload and take around 45 minutes to install and should not be powered off or rebooted during that time or else you will brick your controller. Take a look at the image release notes as that take your step by step of what you need to do. I have a 2504 at home and never had any issues upgrading or downgrading from published or beta codes.

-Scott 

*** Please rate helpful posts *** 

-Scott
*** Please rate helpful posts ***
New Member

Hello Scott!

Hello Scott!

The MD5 perfectly matches the one provided by Cisco. The image loads perfectly fine by going to 100% but then the older image loads eventually. The FUS i think is 1.9.0.0

Manufacturer's Name.............................. Cisco Systems Inc.
Product Name..................................... Cisco Controller
Product Version.................................. 8.0.115.0
Bootloader Version............................... 1.0.20
Field Recovery Image Version..................... 7.6.101.1
Firmware Version................................. PIC 16.0

Primary Boot Image............................... 8.3.102.0 (default) 
Backup Boot Image................................ 8.0.115.0 (active)

!!boot log!!

WLCNG Boot Loader Version 1.0.20 (Built on Jan 14 2014 at 11:40:45 by cisco)
Board Revision 0.0 (SN: PSZ164309W9, Type: AIR-CT2504-K9) (P)

Verifying boot loader integrity... OK.

OCTEON CN5230C-SCP pass 2.0, Core clock: 750 MHz, DDR clock: 330 MHz (660 Mhz da ta rate)
CPU Cores: 4
DRAM: 1024 MB
Flash: 32 MB
Clearing DRAM........ done
Network: octeth0', octeth1, octeth2, octeth3
' - Active interface
E - Environment MAC address override
CF Bus 0 (IDE): OK
IDE device 0:
- Model: 1GB CompactFlash Card Firm: CF B612J Ser#: A191104296A1Wb5EBOtj
- Type: Hard Disk
- Capacity: 977.4 MB = 0.9 GB (2001888 x 512)


Press <ESC> now to access the Boot Menu...

Loading primary image (8.3.102.0)
100%

36878982 bytes read
Launching...
Launching images...
init started: BusyBox v1.6.0 (2010-05-13 17:50:10 EDT) multi-call binary
starting pid 688, tty '': '/etc/init.d/rcS'
Detecting Hardware ...
Installing ether-pow driver - 0x6008
starting pid 873, tty '/dev/ttyS0': '/usr/bin/gettyOrMwar'
Setting up ZVM
Exporting LD_LIBRARY_PATH
Decompressing...
Validating...... OK

Cryptographic library self-test....passed!
XML config selected
Validating XML configuration
octeon_device_init: found 1 DPs
/dev/fpga: No such device or address
readCPUConfigData: cardid 0x6060001
Cisco is a trademark of Cisco Systems, Inc.
Software Copyright Cisco Systems, Inc. All rights reserved.

Cisco AireOS Version 8.0.115.0
Firmware Version PIC 16.0


Initializing OS Services: ok
Initializing Serial Services: ok
Initializing Network Services: ok
Initializing Licensing Services: ok

License daemon start initialization.....

License daemon running.....
Starting Statistics Service: ok
Starting ARP Services: ok
Starting Trap Manager: ok
Starting Network Interface Management Services: ok
Starting System Services: ok
Starting FIPS Features: ok : Not enabled
Starting Fastpath Hardware Acceleration: ok
Starting Fastpath Console redirect : ok
Starting Fastpath DP Heartbeat : ok
Fastpath CPU0.00: Starting Fastpath Application. SDK-1.8.0, build 269. Flags-[DUTY CYCLE] : ok
Fastpath CPU0.00: Initializing last packet received queue. Num of cores(2)
Fastpath CPU0.00: Init MBUF size: 1856, Subsequent MBUF size: 2040
Fastpath CPU0.00: Core 0 Initialization: ok
Fastpath CPU0.00: Initializing Timer...
Fastpath CPU0.00: Initializing Timer...done.
Fastpath CPU0.00: Initializing Timer...
Fastpath CPU0.00: Initializing NBAR AGING Timer...done.
Fastpath CPU0.01: Core 1 Initialization: ok
Starting Switching Services: ok
Starting QoS Services: ok
Starting Policy Manager: ok
Starting Data Transport Link Layer: ok
Starting Access Control List Services: ok
Starting System Interfaces: ok
Starting Client Troubleshooting Service: ok
Starting Certificate Database: ok
Starting VPN Services: ok
Starting Management Frame Protection: ok
Starting DNS Services: ok
Starting Licensing Services: ok
Starting Redundancy: ok
Starting LWAPP: ok
Starting CAPWAP: ok
Starting LOCP: ok
Starting Security Services: ok
Starting Policy Manager: ok
Starting Authentication Engine: ok
Starting Mobility Management: ok
Starting Capwap Ping Component: ok
Starting AVC Services: ok
Starting Virtual AP Services: ok
Starting AireWave Director: ok
Starting Network Time Services: ok
Starting Cisco Discovery Protocol: ok
Starting Broadcast Services: ok
Starting Logging Services: ok
Starting DHCP Server: ok
Starting IDS Signature Manager: ok
Starting RFID Tag Tracking: ok
Starting RF Profiles: ok
Starting Power Supply and Fan Status Monitoring Service: ok
Starting Mesh Services: ok
Starting TSM: ok

Hall of Fame Super Silver

Re: wlc 2504 7.4.100 to 7.4.110 upgrade fails

One thing I always do since I close out the browser at times is to save the config. That will give you an error if there is an upgrade in progress. Either from the GUI or console, it will give you an error.

Sent from Cisco Technical Support iPhone App

-Scott
*** Please rate helpful posts ***
New Member

Re: wlc 2504 7.4.100 to 7.4.110 upgrade fails

Hi guys,

The current active image now is the 7.4.100 backup image and the default image is the new one (7.4.110) that is not working. If I set the backup image as the default and I reboot the controller, will it overwrite the 7.4.110 with the 7.4.100 when I perform the upgrade again?

At the end I'd like to have the 7.4.110 as primary and the 7.4.100 as backup. My fear is that, after the upgrade, I'll loose the 7.4.100 that is working and I will not be able to boot the wlc in case of upgrade failure.

In other words: when you set the backup image as the boot image and reboot, will it become the primary image? According to Cisco doc it seems yes:

"In order to remove or overwrite an image on the WLC, boot up the WLC with the image that you want to keep and perform an upgrade. This way, the new image replaces the primary image."

http://www.cisco.com/image/gif/paws/107530/backup-image-wlc.pdf

Thank you for your help.
Bye

Sent from Cisco Technical Support iPad App

Hall of Fame Super Silver

Re: wlc 2504 7.4.100 to 7.4.110 upgrade fails

What you do is be safe and flush out the code per say. Upload v7.4.100 until both the primary and backup show v7.4.100. Then upload v7.4.110 until that show up and it should then show up as the default image boot if successful.

Sent from Cisco Technical Support iPhone App

-Scott
*** Please rate helpful posts ***
New Member

Re: wlc 2504 7.4.100 to 7.4.110 upgrade fails

Thank you Scott, I'll follow your advice and let you know guys tomorrow.

Regards

New Member

Re: wlc 2504 7.4.100 to 7.4.110 upgrade fails

Hi guys,

i've tried to upgrade the image again, i've also checked the md5: same behaviour.

Wlc crashed during upgrade including console connection
Now the wlc no longer boots up with any image, both primary and backup. He gets stuck in "loading images".

The images also seem not to have the correct file size when the controller starts booting.

How can I restore the image now? i've the wlc completely down.

Thank you

Sent from Cisco Technical Support iPad App

Hall of Fame Super Gold

wlc 2504 7.4.100 to 7.4.110 upgrade fails

Create a TAC Case.

New Member

wlc 2504 7.4.100 to 7.4.110 upgrade fails

Upgrading to Controller Software Release 7.4.100.60
Guidelines and Limitations
• When H-REAP access points that are associated with a controller that has all the 7.0.x software releases that are prior to 7.0.240.0 upgrade to the 7.4.100.60 release, the access points lose their VLAN support configuration if it was enabled. The VLAN mappings revert to the default values of the VLAN of the associated interface. This issue does not occur if you upgrade from 7.0.240.0 or later 7.0.x release to the 7.4.100.60 release.
• While a client sends an HTTP request, the Controller intercepts it for redirection to login page. If the HTTP request intercepted by Controller is fragmented, the Controller drops the packet as the HTTP request does not contain enough information required for redirection.
• We recommend that you install Wireless LAN Controller Field Upgrade Software for Release 1.7.0.0-FUS, which is a special AES package that contains several system-related component upgrades. These include the bootloader, field recovery image, and FPGA/MCU firmware. Installing the FUS image requires special attention because it installs some critical firmware. The FUS image is independent of the runtime image. For more information, see http://www.cisco.com/en/US/docs/wireless/controller/release/notes/fus_rn_1_7_0_0.html.
• If you are using a Cisco 2500 Series controller and you intend to use the Application Visibility and Control (AVC) and NetFlow protocol features, you must install Wireless LAN Controller Field Upgrade Software for Release 1.8.0.0-FUS. This is not required if you are using other controller hardware models. For more information, see http://www.cisco.com/en/US/docs/wireless/controller/release/notes/fus_1_8_0_0.html.
• After you upgrade to the 7.4 release, networks that were not affected by the existing preauthentication ACLs might not work because the rules are now enforced. That is, networks with clients configured with static DNS servers might not work unless the static server is defined in the preauthentication ACL.
• On 7500 controllers if FIPS is enabled, the reduced boot options are displayed only after a bootloader upgrade.

________________________________________
Note  Bootloader upgrade is not required if FIPS is disabled.
________________________________________
• If you require a downgrade from one release to another, you might lose the configuration from your current release. The workaround is to reload the previous controller configuration files saved on the backup server or to reconfigure the controller.
• It is not possible to directly upgrade to the 7.4.100.60 release from a release that is older than 7.0.98.0.
• You can upgrade or downgrade the controller software only between certain releases. In some instances, you must first install an intermediate release prior to upgrading to software release 7.4.100.60. Table 2 shows the upgrade path that you must follow before downloading software release 7.4.100.60.

For more information :
http://www.cisco.com/en/US/docs/wireless/controller/release/notes/crn74mr1.html#wp976667

New Member

wlc 2504 7.4.100 to 7.4.110 upgrade fails

Hello.  Trying to avoid this problem by upgrading the FUS first.  Notes here

http://www.cisco.com/en/US/docs/wireless/controller/release/notes/fus_rn_1_7_0_0.html.

say that show sysinfo will give me the current version but all I see is "PIC 16.0".  I've seen several comments about NOT installing the FUS more than once and I'd like to be sure that it is not there already.  Tried to find help in other places before placing this note.  Currently running a 2504 with 7.4.100.0 and want to ove to 7.4.110.0.  Thanks for any help.

Hall of Fame Super Gold

wlc 2504 7.4.100 to 7.4.110 upgrade fails

It's up to you if you are reluctant to upgrade the FUS but I don't think you can go beyond 7.4.100.60 if you don't.

New Member

wlc 2504 7.4.100 to 7.4.110 upgrade fails

Thanks.  Sorry I wasn't clear.  Not reluctant to upgrade in any way I just can't tell what version I'm on since all it says is "PIC 16.0".  On a 5508 I see"FPGA 1.7, ENV 1.8" so I'd expect to get similar info on the 2500.  Just not sure of the version I'm currently running on the 2504.  Thanks again

Hall of Fame Super Silver

wlc 2504 7.4.100 to 7.4.110 upgrade fails

You can go beyond, but it's not recommended.   The 2500 has a FUS image of 1.8 and the 5508 is still at 1.7

Thanks,

Scott

Help out other by using the rating system and marking answered questions as "Answered"

-Scott
*** Please rate helpful posts ***
New Member

wlc 2504 7.4.100 to 7.4.110 upgrade fails

Thanks to all for your comments.  I went to TAC as well.  Here is the comment I received:

The FUS image is just for the 5508, WISM2 and 7500 Wireless LAN Controller, the WLC 2504 doesn’t use the FUS image, this is the reason why you cannot see it on the show sysinfo...you can proceed with the regular upgrade to 7.4.110 if you need it. Don’t worry about the FUS.

So the comments in the 7.4.110.0 release notes regarding the FUS apparently do not apply to the 2500 series controller.  Thanks again.

Hall of Fame Super Silver

Re: wlc 2504 7.4.100 to 7.4.110 upgrade fails

Well it has always worked for me. It is a different image than the other wlc's.

Sent from Cisco Technical Support iPhone App

-Scott
*** Please rate helpful posts ***
Hall of Fame Super Silver

Re: wlc 2504 7.4.100 to 7.4.110 upgrade fails

Here is the release notes for the 2504 FUS

http://www.cisco.com/en/US/docs/wireless/controller/release/notes/fus_1_8_0_0.html

Sent from Cisco Technical Support iPhone App

-Scott
*** Please rate helpful posts ***
New Member

wlc 2504 7.4.100 to 7.4.110 upgrade fails

Yes, thanks.  Saw that too.  I noticed this comment earlier in the v1.8 document that the link brings up:

If you are using a Cisco 2500 Series Controller and you upgrade to the 7.4.100.0 controller software release and intend to use the Application Visibility and Control (AVC) and NetFlow protocol features, you must install Cisco Unified Wireless Network Field Upgrade Software, Release 1.8.0.0. This release is not required if you are using other controller hardware models.

so thought that v1.8 wasn't necessary since I had no current plans for the functionality mentioned.  I then decided I may as well install FUS 1.8 just to have the latest and greatest code but then saw this comment later in the document:

You must install FUS only once.

Hence my reason for wanting to verify which FUS I was actually running, v1.7 or v1.8, or something else.  The "show sysinfo" command apparently gives more info on other platforms but all I see on the 2504's we have is the "PIC 16.0" I mentioned earlier.  So I'm not real sure what we have.  Thanks again.

Hall of Fame Super Silver

wlc 2504 7.4.100 to 7.4.110 upgrade fails

Here is a 2504 running 7.0.116.0

Manufacturer's Name.............................. Cisco Systems Inc.

Product Name..................................... Cisco Controller

Product Version.................................. 7.0.116.0

Bootloader Version............................... 1.0.16

Field Recovery Image Version..................... 1.0.0

Firmware Version................................. PIC 15.0

Here is one running 7.6

Manufacturer's Name.............................. Cisco Systems Inc.

Product Name..................................... Cisco Controller

Product Version.................................. 7.6.1.226

Bootloader Version............................... 1.0.18

Field Recovery Image Version..................... 7.4.1.30

Firmware Version................................. PIC 16.0

So it seems like you already do have the FUS upgraded

Thanks,

Scott

Help out other by using the rating system and marking answered questions as "Answered"

-Scott
*** Please rate helpful posts ***
New Member

Re: wlc 2504 7.4.100 to 7.4.110 upgrade fails

  Yes, it seems that I do.  Thanks TONS for following up on this.

New Member

Hi, finally, did you upgrade

Hi, 

finally, did you upgrade successfully? How did you fix above problem? 

I met this problem too on my WLC 2504 when upgrade iOS image from 7.4.100 to 7.6.120

2253
Views
0
Helpful
25
Replies